http://bugs.gentoo.org/205893
--- linphone-2.0.1/mediastreamer2/configure
+++ linphone-2.0.1/mediastreamer2/configure
@@ -21907,6 +21915,117 @@
build_speex=yes
fi
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for SPEEXDSP" >&5
+echo $ECHO_N "checking for SPEEXDSP... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+ if test -n "$SPEEXDSP_CFLAGS"; then
+ pkg_cv_SPEEXDSP_CFLAGS="$SPEEXDSP_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"speexdsp >= 1.2beta3\"") >&5
+ ($PKG_CONFIG --exists --print-errors "speexdsp >= 1.2beta3") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_SPEEXDSP_CFLAGS=`$PKG_CONFIG --cflags "speexdsp >= 1.2beta3" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+ if test -n "$SPEEXDSP_LIBS"; then
+ pkg_cv_SPEEXDSP_LIBS="$SPEEXDSP_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"speexdsp >= 1.2beta3\"") >&5
+ ($PKG_CONFIG --exists --print-errors "speexdsp >= 1.2beta3") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_SPEEXDSP_LIBS=`$PKG_CONFIG --libs "speexdsp >= 1.2beta3" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+ _pkg_short_errors_supported=yes
+else
+ _pkg_short_errors_supported=no
+fi
+ if test $_pkg_short_errors_supported = yes; then
+ SPEEXDSP_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "speexdsp >= 1.2beta3"`
+ else
+ SPEEXDSP_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "speexdsp >= 1.2beta3"`
+ fi
+ # Put the nasty error message in config.log where it belongs
+ echo "$SPEEXDSP_PKG_ERRORS" >&5
+
+ { { echo "$as_me:$LINENO: error: Package requirements (speexdsp >= 1.2beta3) were not met:
+
+$SPEEXDSP_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables SPEEXDSP_CFLAGS
+and SPEEXDSP_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+echo "$as_me: error: Package requirements (speexdsp >= 1.2beta3) were not met:
+
+$SPEEXDSP_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables SPEEXDSP_CFLAGS
+and SPEEXDSP_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+ { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+ { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables SPEEXDSP_CFLAGS
+and SPEEXDSP_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see .
+See \`config.log' for more details." >&5
+echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables SPEEXDSP_CFLAGS
+and SPEEXDSP_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see .
+See \`config.log' for more details." >&2;}
+ { (exit 1); exit 1; }; }
+else
+ SPEEXDSP_CFLAGS=$pkg_cv_SPEEXDSP_CFLAGS
+ SPEEXDSP_LIBS=$pkg_cv_SPEEXDSP_LIBS
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+ SPEEX_LIBS="$SPEEX_LIBS $SPEEXDSP_LIBS"
+fi
+